Bug 25360 - pilot-link fails with "Weird packet" error
Summary: pilot-link fails with "Weird packet" error
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pilot-link   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-31 00:55 UTC by Eric Smith
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-31 00:55:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eric Smith 2001-01-31 00:55:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)


pilot-link reports "Weird packet" errors during transfers, causing failed
sync, backup, restore, etc.

Reproducible: Always
Steps to Reproduce:
1.  Hook up a Palm with a fair amount of "stuff" installed to serial port
on PC
2.  export PILOTPORT=/dev/ttyS0
3.  export PILOTRATE=115200
4.  pilot-xfer -b test_backup_dir
	

Actual Results:  Transfer fails (after some objects completed) with "Weird
packet" error message.

Expected Results:  Transfer should have completed successfully.

This can *sometimes* (but not always) be avoided by using a VERY slow
serial rate, e.g., 9600.
This did not happen with earlier versions of Red Hat Linux.  Some people
claim that the
newer kernel versions have different serial port handling that causes the
problem, but no one
on the mailing list seems to have any definitive information on what
changed or how to fix it.

Jurgen Stuber has a patch which adds better error recovery to pilot-xfer,
thus allowing it to recover from this problem and complete transfers
successfully.  I've verified that it works consistently for me even at
115200
bps.  The patch is available on his web page:

http://www.mpi-sb.mpg.de/~juergen/palm/

Discussion of the problem occurred back in October 1999, and can be seen in
the
mailing list archives (search for weird):

http://hcirisc.cs.binghamton.edu/pipermail/pilot-unix/1999-September/thread.html

Comment 1 Ngo Than 2001-02-01 00:49:15 UTC
i have added J|rgen's patch file in pilot-link-0.9.5-2. You will find it in
rawhide.


Note You need to log in before you can comment on or make changes to this bug.